PETSc version 3.17.4
Fix/Edit manual page

# PetscDeviceContextQueryIdle

Returns whether or not a PetscDeviceContext is idle

### Synopsis

    #include "petscdevice.h"
    PetscErrorCode PetscDeviceContextQueryIdle(PetscDeviceContext dctx, PetscBool *idle)

Not Collective, Asynchronous

### Input Parameter

| dctx | - The PetscDeviceContext object

### Output Parameter

| idle | - PETSC_TRUE if PetscDeviceContext has NO work, PETSC_FALSE if it has work

### Notes

This routine only refers a singular context and does NOT take any of its children into account. That is, if dctx is idle but has dependents who do have work, this routine still returns PETSC_TRUE.

### See Also

PetscDeviceContextCreate(), PetscDeviceContextWaitForContext(), PetscDeviceContextFork()

### Level

intermediate

### Location

src/sys/objects/device/interface/dcontext.cxx
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages